---
title: "Get doc group templates"
url: "https://docs.signnow.com/docs/document-group-template/operations/get-user-documentgroup-templates"
type: "endpoint"
section: "document-group-template"
slug: "document-group-template/operations/get-user-documentgroup-templates"
method: "GET"
path: "/user/documentgroup/templates"
operation_id: "get-user-documentgroup-templates"
authorization: "bearer"
---

# Get doc group templates

`GET /user/documentgroup/templates`

This endpoint allows API users to retrieve the list of document group templates.


## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `limit` | string | Yes | The number of templates to get |
| `offset` | string | No | The number of templates to skip from the first one. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {}
}
```

## Responses

### 200

Correct request with limit = 2

**Example** (`Successful response`)

```json
{
  "document_group_templates": [
    {
      "folder_id": null,
      "templates": [
        {
          "id": "a8bccc1084f06138773aa0e03e5826c5088b3beb",
          "name": "Sample template name",
          "roles": [
            "Signer 1",
            "Signer 2"
          ],
          "thumbnail": {
            "large": "https://sample.com/thumbnail?size=large",
            "small": "https://sample.com/thumbnail?size=small",
            "medium": "https://sample.com/thumbnail?size=medium"
          }
        },
        {
          "id": "4096f5347309f17a3bf3d47cec4e0a60abc084b8",
          "name": "Sample template name 2",
          "roles": [
            "Signer",
            "Signer 1"
          ],
          "thumbnail": {
            "large": "https://sample.com/thumbnail?size=large",
            "small": "https://sample.com/thumbnail?size=small",
            "medium": "https://sample.com/thumbnail?size=medium"
          }
        }
      ],
      "is_prepared": false,
      "owner_email": "owner@email.com",
      "last_updated": "1634828541",
      "routing_details": {
        "invite_steps": [
          {
            "order": 1,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "4649e06550b502562c1847f15eeea1b113006cb0",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 1",
                "document_id": "55ca8b6e87efe97aa6287a06db512c5ad004319a",
                "document_name": "Sample name 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 2,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "079e703cbc14add93bae7a412d3b9719e1ced438",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 2",
                "document_id": "55ca8b6e87efe97aa6287a06db512c5ad004319a",
                "document_name": "Sample name 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 3,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "b9006bc00b0a6bc71bc37cd75c194822fa23f94e",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 1",
                "document_id": "a8bccc1084f06138773aa0e03e5826c5088b3beb",
                "document_name": "Sample name 1",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 4,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "2f2e768d7b8c660cc722e6e8db87cea6e39cb8fb",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 2",
                "document_id": "a8bccc1084f06138773aa0e03e5826c5088b3beb",
                "document_name": "Sample name 1",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 5,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "6e8c42a612f53bfbd6a280b6fb1824c3af6e6403",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer 1",
                "document_id": "4096f5347309f17a3bf3d47cec4e0a60abc084b8",
                "document_name": "Sample name 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          },
          {
            "order": 6,
            "invite_emails": [
              {
                "email": "signer1@email.com",
                "message": "owner@email.com invited you to sign some documents.",
                "subject": "Signature Request from owner",
                "reminder": {
                  "remind_after": 0,
                  "remind_before": 0,
                  "remind_repeat": 0
                },
                "expiration_days": 30,
                "has_sign_actions": true
              }
            ],
            "invite_actions": [
              {
                "uuid": "4fbefe299a9702e392e2b1a85237db176a6e1870",
                "email": "signer1@email.com",
                "action": "sign",
                "role_name": "Signer",
                "document_id": "4096f5347309f17a3bf3d47cec4e0a60abc084b8",
                "document_name": "Sample name 2",
                "allow_reassign": 0,
                "authentication": {
                  "type": null
                },
                "decline_by_signature": 0
              }
            ]
          }
        ],
        "sign_as_merged": true,
        "include_email_attachments": null
      },
      "template_group_id": "3175f02337046e2204fe4b388e71640962393740",
      "template_group_name": "Sample name"
    }
  ],
  "document_group_template_total_count": 1
}
```

### 400

* Wrong, expired, or missing token.
* Request without limit parameter, or not in range (1, 50).
* Incorrect offset parameter.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Incorrect offset parameter`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "The offset query parameter is required and must be 0 or greater"
    }
  ]
}
```

**Example** (`Without limit or not in range`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "The limit query parameter is required and must be between 1 and 50"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/user/documentgroup/templates" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-group-template/operations/get-user-documentgroup-templates*
